Subject: Re: [PATCH v2 2/2] add-patch: classify '@' as a synonym for 'HEAD'

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Feb 2024 09:43:44 -0800

Junio C Hamano <[email-masked]> writes:

> You decided to use is_rev_head() instead of user_meant_head(), so
> you'd need to update the above description to match, I think.

Having said this, I have a slight fear that normal users would
expect is_rev_head(X) to say "yes" for "master" when the current
branch is "master", though.  is_head(X) would have the same
downside.